Package org.eclipse.rdf4j.query.algebra.evaluation.impl

## Class ExtendedEvaluationStrategyFactory

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.impl.AbstractEvaluationStrategyFactory
  - - org.eclipse.rdf4j.query.algebra.evaluation.impl.ExtendedEvaluationStrategyFactory

- All Implemented Interfaces:
    `EvaluationStrategyFactory`, `FederatedServiceResolverClient`

      public class ExtendedEvaluationStrategyFactory
      extends AbstractEvaluationStrategyFactory
      implements EvaluationStrategyFactory, FederatedServiceResolverClient

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtendedEvaluationStrategyFactory()` |
    `ExtendedEvaluationStrategyFactory​(FederatedServiceResolver resolver)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EvaluationStrategy` | `createEvaluationStrategy​(Dataset dataset, TripleSource tripleSource, EvaluationStatistics evaluationStatistics)` | Returns the `EvaluationStrategy` to use to evaluate queries for the given `Dataset` and `TripleSource`.
    `FederatedServiceResolver` | `getFederatedServiceResolver()` |
    `void` | `setFederatedServiceResolver​(FederatedServiceResolver resolver)` | Sets the `FederatedServiceResolver` to use for this client.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.AbstractEvaluationStrategyFactory

      `getOptimizerPipeline, getQuerySolutionCacheThreshold, isTrackResultSize, setOptimizerPipeline, setQuerySolutionCacheThreshold, setTrackResultSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.EvaluationStrategyFactory

      `getOptimizerPipeline, getQuerySolutionCacheThreshold, isTrackResultSize, setOptimizerPipeline, setQuerySolutionCacheThreshold, setTrackResultSize`

- - ### Constructor Detail

    - #### ExtendedEvaluationStrategyFactory

          public ExtendedEvaluationStrategyFactory()

    - #### ExtendedEvaluationStrategyFactory

          public ExtendedEvaluationStrategyFactory​(FederatedServiceResolver resolver)

  - ### Method Detail

    - #### setFederatedServiceResolver

          public void setFederatedServiceResolver​(FederatedServiceResolver resolver)

      Description copied from interface: `FederatedServiceResolverClient`
      Sets the `FederatedServiceResolver` to use for this client.
      Specified by:
        `setFederatedServiceResolver` in interface `FederatedServiceResolverClient`
      Parameters:
        `resolver` - The resolver to use.

    - #### getFederatedServiceResolver

          public FederatedServiceResolver getFederatedServiceResolver()

    - #### createEvaluationStrategy

          public EvaluationStrategy createEvaluationStrategy​(Dataset dataset,
                                                             TripleSource tripleSource,
                                                             EvaluationStatistics evaluationStatistics)

      Description copied from interface: `EvaluationStrategyFactory`
      Returns the `EvaluationStrategy` to use to evaluate queries for the given `Dataset` and `TripleSource`.
      Specified by:
        `createEvaluationStrategy` in interface `EvaluationStrategyFactory`
      Parameters:
        `dataset` - the DataSet to evaluate queries against.
        `tripleSource` - the TripleSource to evaluate queries against.
        `evaluationStatistics` - the store evaluation statistics to use for query optimization.
      Returns:
        an EvaluationStrategy.